Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.ChatPolicy

    java.lang.Object
      java.lang.Enum<Account.ChatPolicy>
          com.skype.api.Account.ChatPolicy

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.ChatPolicy>

Enclosing class:
  Account

    public static enum Account.ChatPolicy

extends java.lang.Enum<Account.ChatPolicy>
implements EnumConverting

Recognized values for the P_CHAT_POLICY property that controls whether non-authorized users can initiate text chat with the currently logged in account. Note that since this set of values is associated with a server-side property, you must set that property using Account.SetServersideIntProperty

Enum Constant Summary
`BUDDIES_OR_AUTHORIZED_CAN_ADD` Only authorized contacts can initiate chat (default policy).
`EVERYONE_CAN_ADD` Unauthorized contacts can initiate text chat.

Field Summary
`static int` | `BUDDIES_OR_AUTHORIZED_CAN_ADD_VALUE`
`static int` | `EVERYONE_CAN_ADD_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.ChatPolicy` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.ChatPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.ChatPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EVERYONE_CAN_ADD

    public static final Account.ChatPolicy EVERYONE_CAN_ADD

  Unauthorized contacts can initiate text chat.

### BUDDIES_OR_AUTHORIZED_CAN_ADD

    public static final Account.ChatPolicy BUDDIES_OR_AUTHORIZED_CAN_ADD

  Only authorized contacts can initiate chat (default policy).

Field Detail

### EVERYONE_CAN_ADD_VALUE

    public static final int EVERYONE_CAN_ADD_VALUE

See Also:
  Constant Field Values

### BUDDIES_OR_AUTHORIZED_CAN_ADD_VALUE

    public static final int BUDDIES_OR_AUTHORIZED_CAN_ADD_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.ChatPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.ChatPolicy c : Account.ChatPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.ChatPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.ChatPolicy get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.